API Explorer 936 endpoints

Get All API Collections

GET /obp/v7.0.0/management/api-collections

OBPv5.1.0-getAllApiCollections Roles: CanGetAllApiCollections Api-Collection

Get All API Collections.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (6)
api_collection_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
api_collection_name
Favourites
api_collections
api_collections
description
Description of the object. Maximum length is 2000. It can be any characters here.
is_sharable
is_sharable
user_id
9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
Example success response
{
  "api_collections": [
    {
      "api_collection_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "api_collection_name": "Favourites",
      "is_sharable": true,
      "description": "Description of the object. Maximum length is 2000. It can be any characters here."
    }
  ]
}
Possible errors (3)
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
  • OBP-20001: User not logged in. Authentication is required!
Implemented by OBPv5.1.0 getAllApiCollections Originally /obp/v5.1.0/management/api-collections